=== debian/control ===
Source: ros-foxy-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-requests <!nocheck>, ros-foxy-ament-copyright <!nocheck>, ros-foxy-ament-flake8 <!nocheck>, ros-foxy-ament-pep257 <!nocheck>, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-message-filters, ros-foxy-rclpy, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://index.ros.org/p/camera_calibration/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-foxy-camera-calibration
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-foxy-cv-bridge, ros-foxy-image-geometry, ros-foxy-message-filters, ros-foxy-rclpy, ros-foxy-sensor-msgs, ros-foxy-std-srvs, ros-foxy-ros-workspace
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
